QR 코드

GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
파라미터 세부 사항 설명
search 옵션 링크 검색 스트리트 입니다.
search_by 옵션 링크 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. name.
project_id 옵션 전체
type 옵션 링크 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field 옵션 링크 허용된 값 : datetime, last_datetime
datetime_start 옵션 링크 이 날짜에서 시작하는 결과를 필터합니다. Y-m-d H:i:s 형식으로
datetime_end 옵션 링크 이 날짜까지 결과를 필터합니다. Y-m-d H:i:s 형식으로
order_by 옵션 링크 어떤 필드에서 결과를 주문할 수 있습니까? 허용된 값은 다음과 같습니다. qr_code_id, datetime, last_datetime, name, type.
order_type 옵션 링크 주문 결과. 허용된 값은 다음과 같습니다 : ASC 상승 명령에 대하여, 그리고 DESC 아래로 내려오는 주문
page 옵션 전체 원하는 페이지 번호 결과에서. 결함은 1.
results_per_page 옵션 전체 페이지에 얼마나 많은 결과를 원하는지. 허용 값은 다음과 같습니다 : 10, 25, 50, 100, 250, 500, 1000. 결함은 25.
{
    "data": [
        {
            "id": 1,
            "type": "url",
            "name": "Example name",
            "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "settings": {
                "foreground_type": "color",
                "foreground_color": "#000000",
                "background_color": "#ffffff",
                "custom_eyes_color": false,
                "qr_code_logo_size": 25,
                "size": 500,
                "margin": 0,
                "ecc": "L",
                "url": "https://example.com"
                ...
            },
            "embedded_data": "https://example.com",
            "last_datetime": null,
            "datetime": "2026-10-16 01:37:54",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://0o0.online/api/qr-codes?page=1",
        "last": "https://0o0.online/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://0o0.online/api/qr-codes?page=1"
    }
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "url",
        "name": "Example name",
        "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "settings": {
            "foreground_type": "color",
            "foreground_color": "#000000",
            "background_color": "#ffffff",
            "custom_eyes_color": false,
            "qr_code_logo_size": 25,
            "size": 500,
            "margin": 0,
            "ecc": "L",
            "url": "https://example.com"
            ...
        },
        "embedded_data": "https://example.com",
        "last_datetime": null,
        "datetime": "2026-10-16 01:37:54",
    }
}
POST https://0o0.online/api/qr-codes
파라미터 세부 사항 설명
project_id 옵션 전체 -
name 필수 링크 -
type 필수 링크 허용된 값 : text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk 옵션 폴란드 사용할 수 있는 경우 : type = text
url_dynamic_existing_link 옵션 폴란드 사용할 수 있는 경우 : url_dynamic = 1
url_dynamic 옵션 폴란드 사용할 수 있는 경우 : type = url
link_id 옵션 전체 사용할 수 있는 경우 : url_dynamic = 1 + url_dynamic_existing_link = 1
style 옵션 링크
inner_eye_style 옵션 링크 허용된 값 : square, dot, rounded, diamond, flower, leaf
outer_eye_style 옵션 링크 허용된 값 : square, circle, rounded, flower, leaf
foreground_type 옵션 링크 허용된 값 : color, gradient
foreground_color 옵션 링크 사용할 수 있는 경우 : foreground_type = color
foreground_gradient_style 옵션 링크 허용된 값 : vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 옵션 링크 사용할 수 있는 경우 : foreground_type = gradient
foreground_gradient_two 옵션 링크 사용할 수 있는 경우 : foreground_type = gradient
background_color 옵션 링크
background_color_transparency 옵션 전체
custom_eyes_color 옵션 폴란드
eyes_inner_color 옵션 링크 사용할 수 있는 경우 : custom_eyes_color = 1
eyes_outer_color 옵션 링크 사용할 수 있는 경우 : custom_eyes_color = 1
qr_code_logo 옵션 파일 -
qr_code_logo_size 옵션 전체 5-35
qr_code_background 옵션 파일 -
qr_code_background_transparency 옵션 전체 0-100
qr_code_foreground 옵션 파일 -
qr_code_foreground_transparency 옵션 전체 0-100
frame 옵션 링크 허용된 값 : circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 옵션 링크
frame_text_size 옵션 전체 -5 - 5
frame_text_font 옵션 링크 허용된 값 : times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 옵션 폴란드
frame_color 옵션 링크 사용할 수 있는 경우 : frame_custom_colors = 1
frame_text_color 옵션 링크 사용할 수 있는 경우 : frame_custom_colors = 1
size 옵션 전체 50-2000
margin 옵션 전체 0-25
ecc 옵션 링크 허용된 값 : L, M, Q, H
text 옵션 링크 사용할 수 있는 경우 : type = text
url 옵션 링크 사용할 수 있는 경우 : type = url. 사용할 수 있는 경우 : url_dynamic = 0 / url_dynamic_existing_link = 0
phone 옵션 링크 사용할 수 있는 경우 : type = phone
sms 옵션 링크 사용할 수 있는 경우 : type = sms
sms_body 옵션 링크 사용할 수 있는 경우 : type = sms
email 옵션 링크 사용할 수 있는 경우 : type = email
whatsapp 옵션 링크 사용할 수 있는 경우 : type = whatsapp
whatsapp_body 옵션 링크 사용할 수 있는 경우 : type = whatsapp
facetime 옵션 링크 사용할 수 있는 경우 : type = facetime
location
location_latitude 옵션 함대 사용할 수 있는 경우 : type = location
location_longitude 옵션 함대 사용할 수 있는 경우 : type = location
wifi
wifi_ssid 옵션 링크 사용할 수 있는 경우 : type = wifi
wifi_encryption 옵션 링크 허용된 값 : nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 옵션 링크 사용할 수 있는 경우 : type = wifi
wifi_is_hidden 옵션 폴란드 사용할 수 있는 경우 : type = wifi
event 옵션 링크 사용할 수 있는 경우 : type = event
event_location 옵션 링크 사용할 수 있는 경우 : type = event
event_url 옵션 링크 사용할 수 있는 경우 : type = event
event_note 옵션 링크 사용할 수 있는 경우 : type = event
event_timezone 옵션 링크 사용할 수 있는 경우 : type = event
event_start_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_end_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_first_alert_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_second_alert_datetime 옵션 링크 사용할 수 있는 경우 : type = event
crypto
crypto_coin 옵션 링크 사용할 수 있는 경우 : type = crypto
crypto_address 옵션 링크 사용할 수 있는 경우 : type = crypto
crypto_amount 옵션 링크 사용할 수 있는 경우 : type = crypto
vcard
vcard_first_name 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_last_name 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_company 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_phone_number_label[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_phone_number_value[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_email 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_url 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_job_title 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_birthday 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_street 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_city 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_zip 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_region 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_country 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_note 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_social_label[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_social_value[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
paypal
paypal_type 옵션 링크 허용된 값 : buy_now, add_to_cart, donation (type=paypal)
paypal_email 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_title 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_currency 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_price 옵션 함대 사용할 수 있는 경우 : type = paypal
paypal_thank_you_url 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_cancel_url 옵션 링크 사용할 수 있는 경우 : type = paypal
upi
upi_payee_id 옵션 링크 사용할 수 있는 경우 : type = upi
upi_payee_name 옵션 링크 사용할 수 있는 경우 : type = upi
upi_currency 옵션 링크 사용할 수 있는 경우 : type = upi
upi_amount 옵션 함대 사용할 수 있는 경우 : type = upi
upi_transaction_id 옵션 링크 사용할 수 있는 경우 : type = upi
upi_transaction_note 옵션 링크 사용할 수 있는 경우 : type = upi
upi_transaction_reference 옵션 링크 사용할 수 있는 경우 : type = upi
upi_thank_you_url 옵션 링크 사용할 수 있는 경우 : type = upi
epc
epc_iban 옵션 링크 사용할 수 있는 경우 : type = epc
epc_payee_name 옵션 링크 사용할 수 있는 경우 : type = epc
epc_currency 옵션 링크 사용할 수 있는 경우 : type = epc
epc_amount 옵션 함대 사용할 수 있는 경우 : type = epc
epc_bic 옵션 링크 사용할 수 있는 경우 : type = epc
epc_remittance_reference 옵션 링크 사용할 수 있는 경우 : type = epc
epc_remittance_text 옵션 링크 사용할 수 있는 경우 : type = epc
information 옵션 링크 사용할 수 있는 경우 : type = epc
pix
pix_payee_key 옵션 링크 사용할 수 있는 경우 : type = pix
pix_payee_name 옵션 링크 사용할 수 있는 경우 : type = pix
pix_currency 옵션 링크 사용할 수 있는 경우 : type = pix
pix_amount 옵션 함대 사용할 수 있는 경우 : type = pix
pix_city 옵션 링크 사용할 수 있는 경우 : type = pix
pix_transaction_id 옵션 링크 사용할 수 있는 경우 : type = pix
pix_description 옵션 링크 사용할 수 있는 경우 : type = pix
파라미터 세부 사항 설명
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
파라미터 세부 사항 설명
project_id 옵션 링크 -
name 옵션 링크 -
type 옵션 링크 허용된 값 : text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic 옵션 폴란드 사용할 수 있는 경우 : type = url
url_dynamic_existing_link 옵션 폴란드 사용할 수 있는 경우 : url_dynamic = 1
link_id 옵션 전체 사용할 수 있는 경우 : url_dynamic = 1 + url_dynamic_existing_link = 1
style 옵션 링크 허용된 값 : square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style 옵션 링크 허용된 값 : square, dot, rounded, diamond, flower, leaf
outer_eye_style 옵션 링크 허용된 값 : square, circle, rounded, flower, leaf
foreground_type 옵션 링크 허용된 값 : color, gradient
foreground_color 옵션 링크 사용할 수 있는 경우 : foreground_type = color
foreground_gradient_style 옵션 링크 허용된 값 : vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 옵션 링크 사용할 수 있는 경우 : foreground_type = gradient
foreground_gradient_two 옵션 링크 사용할 수 있는 경우 : foreground_type = gradient
background_color 옵션 링크
background_color_transparency 옵션 전체 0 - 100
custom_eyes_color 옵션 폴란드
eyes_inner_color 옵션 링크 사용할 수 있는 경우 : custom_eyes_color = 1
eyes_outer_color 옵션 링크 사용할 수 있는 경우 : custom_eyes_color = 1
qr_code_logo 옵션 파일 -
qr_code_logo_size 옵션 전체 5-35
qr_code_background 옵션 파일 -
qr_code_background_transparency 옵션 전체 0-100
qr_code_foreground 옵션 파일 -
qr_code_foreground_transparency 옵션 전체 0-100
frame 옵션 링크 허용된 값 : circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 옵션 링크
frame_text_size 옵션 전체 -5 -> 5
frame_text_font 옵션 링크 허용된 값 : times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 옵션 폴란드
frame_color 옵션 링크 사용할 수 있는 경우 : frame_custom_colors = 1
frame_text_color 옵션 링크 사용할 수 있는 경우 : frame_custom_colors = 1
size 옵션 전체 50-2000
margin 옵션 전체 0-25
ecc 옵션 링크 허용된 값 : L, M, Q, H
text 옵션 링크 사용할 수 있는 경우 : type = text
url 옵션 링크 사용할 수 있는 경우 : type = url. 사용할 수 있는 경우 : url_dynamic = 0 / url_dynamic_existing_link = 0
phone 옵션 링크 사용할 수 있는 경우 : type = phone
sms 옵션 링크 사용할 수 있는 경우 : type = sms
sms_body 옵션 링크 사용할 수 있는 경우 : type = sms
email 옵션 링크 사용할 수 있는 경우 : type = email
whatsapp 옵션 링크 사용할 수 있는 경우 : type = whatsapp
whatsapp_body 옵션 링크 사용할 수 있는 경우 : type = whatsapp
facetime 옵션 링크 사용할 수 있는 경우 : type = facetime
location
location_latitude 옵션 함대 사용할 수 있는 경우 : type = location
location_longitude 옵션 함대 사용할 수 있는 경우 : type = location
wifi
wifi_ssid 옵션 링크 사용할 수 있는 경우 : type = wifi
wifi_encryption 옵션 링크 허용된 값 : nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 옵션 링크 사용할 수 있는 경우 : type = wifi
wifi_is_hidden 옵션 폴란드 사용할 수 있는 경우 : type = wifi
event 옵션 링크 사용할 수 있는 경우 : type = event
event_location 옵션 링크 사용할 수 있는 경우 : type = event
event_url 옵션 링크 사용할 수 있는 경우 : type = event
event_note 옵션 링크 사용할 수 있는 경우 : type = event
event_timezone 옵션 링크 사용할 수 있는 경우 : type = event
event_start_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_end_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_first_alert_datetime 옵션 링크 사용할 수 있는 경우 : type = event
event_second_alert_datetime 옵션 링크 사용할 수 있는 경우 : type = event
crypto
crypto_coin 옵션 링크 사용할 수 있는 경우 : type = crypto
crypto_address 옵션 링크 사용할 수 있는 경우 : type = crypto
crypto_amount 옵션 링크 사용할 수 있는 경우 : type = crypto
vcard
vcard_first_name 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_last_name 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_company 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_phone_number_label[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_phone_number_value[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_email 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_url 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_job_title 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_birthday 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_street 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_city 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_zip 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_region 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_country 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_note 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_social_label[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
vcard_social_value[index] 옵션 링크 사용할 수 있는 경우 : type = vcard
paypal
paypal_type 옵션 링크 허용된 값 : buy_now, add_to_cart, donation (type=paypal)
paypal_email 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_title 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_currency 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_price 옵션 함대 사용할 수 있는 경우 : type = paypal
paypal_thank_you_url 옵션 링크 사용할 수 있는 경우 : type = paypal
paypal_cancel_url 옵션 링크 사용할 수 있는 경우 : type = paypal
upi
upi_payee_id 옵션 링크 사용할 수 있는 경우 : type = upi
upi_payee_name 옵션 링크 사용할 수 있는 경우 : type = upi
upi_currency 옵션 링크 사용할 수 있는 경우 : type = upi
upi_amount 옵션 함대 사용할 수 있는 경우 : type = upi
upi_transaction_id 옵션 링크 사용할 수 있는 경우 : type = upi
upi_transaction_note 옵션 링크 사용할 수 있는 경우 : type = upi
upi_transaction_reference 옵션 링크 사용할 수 있는 경우 : type = upi
upi_thank_you_url 옵션 링크 사용할 수 있는 경우 : type = upi
epc
epc_iban 옵션 링크 사용할 수 있는 경우 : type = epc
epc_payee_name 옵션 링크 사용할 수 있는 경우 : type = epc
epc_currency 옵션 링크 사용할 수 있는 경우 : type = epc
epc_amount 옵션 함대 사용할 수 있는 경우 : type = epc
epc_bic 옵션 링크 사용할 수 있는 경우 : type = epc
epc_remittance_reference 옵션 링크 사용할 수 있는 경우 : type = epc
epc_remittance_text 옵션 링크 사용할 수 있는 경우 : type = epc
information 옵션 링크 사용할 수 있는 경우 : type = epc
pix
pix_payee_key 옵션 링크 사용할 수 있는 경우 : type = pix
pix_payee_name 옵션 링크 사용할 수 있는 경우 : type = pix
pix_currency 옵션 링크 사용할 수 있는 경우 : type = pix
pix_amount 옵션 함대 사용할 수 있는 경우 : type = pix
pix_city 옵션 링크 사용할 수 있는 경우 : type = pix
pix_transaction_id 옵션 링크 사용할 수 있는 경우 : type = pix
pix_description 옵션 링크 사용할 수 있는 경우 : type = pix
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \